public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/epsilon/
@ 2016-02-18 18:14 Patrick Lauer
  0 siblings, 0 replies; 4+ messages in thread
From: Patrick Lauer @ 2016-02-18 18:14 UTC (permalink / raw
  To: gentoo-commits

commit:     149ba2d33e2c94dc99867e8d072b4ca6a2d871c2
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 18 17:59:41 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Thu Feb 18 18:13:22 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=149ba2d3

dev-python/epsilon: Bump

Package-Manager: portage-2.2.27

 dev-python/epsilon/Manifest             |  1 +
 dev-python/epsilon/epsilon-0.7.1.ebuild | 56 +++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/epsilon/Manifest b/dev-python/epsilon/Manifest
index f78f3c1..934b196 100644
--- a/dev-python/epsilon/Manifest
+++ b/dev-python/epsilon/Manifest
@@ -1,2 +1,3 @@
 DIST Epsilon-0.6.0.tar.gz 96243 SHA256 2be3a6ef877c4e17ca9dadd6b484fe31bdf16c20b949ec6a8b15677e08c512fa SHA512 0ce7ba2eb86811dc50a0e86b9f3d85be1a4f930f86659c2381a1d80455e1e86362b8719c92ae2ad951a34264e5d0649ec5de96f1179734c7fab6c3abc6fb037b WHIRLPOOL 6aa363b44a42f29ec836cf46b2fdfe3bb57541a9fe282b57ea888f4906b9c438c9eb99d5a0876cb11108b7337a0691c45810a3e44579023f0b660e8752952120
 DIST Epsilon-0.7.0.tar.gz 81218 SHA256 81419d50b17a20efd75440d43e4b07fe3c2a5e6d619f39318dab9031a0680032 SHA512 d1927ca431df3233a94296ca9e1f5dd70d6d61091d23f77df2222c6472d9a5f7b55c5c8dd2a75d0fead41af862c9e3a6a0ea9a31e21447459d5182f0d677d9b2 WHIRLPOOL 8cbab28e5e05b44b521c5f66494de1e2f4bee7713487cfb9d87bfcc108dc05b6534919934fd53cb1b0dc7aee633187351973b78cfdabf0584d6b294104a05a57
+DIST Epsilon-0.7.1.tar.gz 96820 SHA256 419ab2de80e6b201455775a939c158259af90695e59474a4a7bb3cd522a7193b SHA512 ecf34a402208e514c430b4b3785df9b29f3708026ceba1301a2db8760b55111f59e7c40f868f4b642e4c7dd6c78735edbc32b2ef96ec3582e90aa2d978f06842 WHIRLPOOL 69de1d74457ce6f376537c1a8ba3adbf8cae7b2e7325d8a61ba1a1a83e1b2cc88794b5016fa37b1808e32ff61834cb215b30146d93a0e6416623afd6a4609c08

diff --git a/dev-python/epsilon/epsilon-0.7.1.ebuild b/dev-python/epsilon/epsilon-0.7.1.ebuild
new file mode 100644
index 0000000..75b56be
--- /dev/null
+++ b/dev-python/epsilon/epsilon-0.7.1.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+inherit twisted-r1 eutils
+
+DESCRIPTION="Epsilon is a Python utilities package, most famous for its Time class"
+HOMEPAGE="http://divmod.org/trac/wiki/DivmodEpsilon https://pypi.python.org/pypi/Epsilon"
+SRC_URI="mirror://pypi/${TWISTED_PN:0:1}/${TWISTED_PN}/${TWISTED_P}.tar.gz"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="test"
+
+RDEPEND=">=dev-python/twisted-core-13.2.0[${PYTHON_USEDEP}]
+		>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+		test? ( dev-python/nose[${PYTHON_USEDEP}] )
+		${DEPEND}"
+
+PATCHES=( "${FILESDIR}/epsilon_plugincache_portagesandbox.patch" )
+
+# epsilon doesn't install any plugins, so override the default
+TWISTED_PLUGINS=()
+
+python_prepare_all() {
+	# Rename to avoid file-collisions
+	mv bin/benchmark bin/epsilon-benchmark
+	sed -i \
+		-e "s#bin/benchmark#bin/epsilon-benchmark#" \
+		setup.py || die "sed failed"
+
+	#These test are removed upstream
+	rm -f epsilon/test/test_sslverify.py epsilon/sslverify.py || die
+	#See bug 357157 comment 5 for Ian Delaney's explanation of this fix
+	sed -e 's:month) 2004 9:month) 2004 14:' \
+		-i epsilon/test/test_extime.py || die
+	# Release tests need DivmodCombinator.
+	rm -f epsilon/test/test_release.py* epsilon/release.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+	dodoc NAME.txt NEWS.txt
+
+	distutils-r1_python_install_all
+}
+
+#Lets run some tests, having prepped them
+python_test() {
+	# No testrunner seems stipulated within the source; pytest and nosetests both work
+	nosetests ${PN}/test || die "testsuite failed under ${EPYTHON}"
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/epsilon/
@ 2016-03-02 22:55 Patrice Clement
  0 siblings, 0 replies; 4+ messages in thread
From: Patrice Clement @ 2016-03-02 22:55 UTC (permalink / raw
  To: gentoo-commits

commit:     7ca04f466053686d6d76faf628d7a05598cdcd9e
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  2 22:41:51 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Mar  2 22:42:16 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ca04f46

dev-python/epsilon: Clean up old.

Tests pass fine now with recent versions.

Gentoo-Bug: https://bugs.gentoo.org/295068

Package-Manager: portage-2.2.26
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-python/epsilon/Manifest                |  1 -
 dev-python/epsilon/epsilon-0.6.0-r2.ebuild | 47 ------------------------------
 2 files changed, 48 deletions(-)

diff --git a/dev-python/epsilon/Manifest b/dev-python/epsilon/Manifest
index 934b196..d7aa524 100644
--- a/dev-python/epsilon/Manifest
+++ b/dev-python/epsilon/Manifest
@@ -1,3 +1,2 @@
-DIST Epsilon-0.6.0.tar.gz 96243 SHA256 2be3a6ef877c4e17ca9dadd6b484fe31bdf16c20b949ec6a8b15677e08c512fa SHA512 0ce7ba2eb86811dc50a0e86b9f3d85be1a4f930f86659c2381a1d80455e1e86362b8719c92ae2ad951a34264e5d0649ec5de96f1179734c7fab6c3abc6fb037b WHIRLPOOL 6aa363b44a42f29ec836cf46b2fdfe3bb57541a9fe282b57ea888f4906b9c438c9eb99d5a0876cb11108b7337a0691c45810a3e44579023f0b660e8752952120
 DIST Epsilon-0.7.0.tar.gz 81218 SHA256 81419d50b17a20efd75440d43e4b07fe3c2a5e6d619f39318dab9031a0680032 SHA512 d1927ca431df3233a94296ca9e1f5dd70d6d61091d23f77df2222c6472d9a5f7b55c5c8dd2a75d0fead41af862c9e3a6a0ea9a31e21447459d5182f0d677d9b2 WHIRLPOOL 8cbab28e5e05b44b521c5f66494de1e2f4bee7713487cfb9d87bfcc108dc05b6534919934fd53cb1b0dc7aee633187351973b78cfdabf0584d6b294104a05a57
 DIST Epsilon-0.7.1.tar.gz 96820 SHA256 419ab2de80e6b201455775a939c158259af90695e59474a4a7bb3cd522a7193b SHA512 ecf34a402208e514c430b4b3785df9b29f3708026ceba1301a2db8760b55111f59e7c40f868f4b642e4c7dd6c78735edbc32b2ef96ec3582e90aa2d978f06842 WHIRLPOOL 69de1d74457ce6f376537c1a8ba3adbf8cae7b2e7325d8a61ba1a1a83e1b2cc88794b5016fa37b1808e32ff61834cb215b30146d93a0e6416623afd6a4609c08

diff --git a/dev-python/epsilon/epsilon-0.6.0-r2.ebuild b/dev-python/epsilon/epsilon-0.6.0-r2.ebuild
deleted file mode 100644
index c1c69aa..0000000
--- a/dev-python/epsilon/epsilon-0.6.0-r2.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI="5"
-PYTHON_COMPAT=( python2_7 )
-
-inherit twisted-r1 eutils
-
-DESCRIPTION="Epsilon is a Python utilities package, most famous for its Time class"
-HOMEPAGE="http://divmod.org/trac/wiki/DivmodEpsilon https://pypi.python.org/pypi/Epsilon"
-SRC_URI="mirror://pypi/${TWISTED_PN:0:1}/${TWISTED_PN}/${TWISTED_P}.tar.gz"
-
-KEYWORDS="amd64 ppc ppc64 sparc x86"
-IUSE=""
-
-DEPEND="dev-python/twisted-core[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
-
-PATCHES=( "${FILESDIR}/epsilon_plugincache_portagesandbox.patch" )
-
-# epsilon doesn't install any plugins, so override the default
-TWISTED_PLUGINS=()
-
-python_prepare_all() {
-	# Rename to avoid file-collisions
-	mv bin/benchmark bin/epsilon-benchmark
-	sed -i \
-		-e "s#bin/benchmark#bin/epsilon-benchmark#" \
-		setup.py || die "sed failed"
-
-	#These test are removed upstream
-	rm -f epsilon/test/test_sslverify.py epsilon/sslverify.py || die
-	#See bug 357157 comment 5 for Ian Delaney's explanation of this fix
-	sed -e 's:month) 2004 9:month) 2004 14:' \
-		-i epsilon/test/test_extime.py || die
-	# Release tests need DivmodCombinator.
-	rm -f epsilon/test/test_release.py* epsilon/release.py || die
-
-	distutils-r1_python_prepare_all
-}
-
-python_install_all() {
-	dodoc NAME.txt NEWS.txt
-
-	distutils-r1_python_install_all
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/epsilon/
@ 2017-03-28 18:28 Michał Górny
  0 siblings, 0 replies; 4+ messages in thread
From: Michał Górny @ 2017-03-28 18:28 UTC (permalink / raw
  To: gentoo-commits

commit:     a702901a31633d3159cf27efebe82b764460f871
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 17:06:06 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 18:28:29 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a702901a

dev-python/epsilon: Support combined dev-python/twisted, minor fixes

 dev-python/epsilon/epsilon-0.7.1.ebuild | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/dev-python/epsilon/epsilon-0.7.1.ebuild b/dev-python/epsilon/epsilon-0.7.1.ebuild
index 8cf2f709a88..f0fb386ce8b 100644
--- a/dev-python/epsilon/epsilon-0.7.1.ebuild
+++ b/dev-python/epsilon/epsilon-0.7.1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
 PYTHON_COMPAT=( python2_7 )
 
-inherit twisted-r1 eutils
+inherit twisted-r1
 
 DESCRIPTION="Epsilon is a Python utilities package, most famous for its Time class"
 HOMEPAGE="http://divmod.org/trac/wiki/DivmodEpsilon https://pypi.python.org/pypi/Epsilon"
@@ -13,11 +13,15 @@ SRC_URI="mirror://pypi/${TWISTED_PN:0:1}/${TWISTED_PN}/${TWISTED_P}.tar.gz"
 KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"
 IUSE="test"
 
-RDEPEND=">=dev-python/twisted-core-13.2.0[${PYTHON_USEDEP}]
-		>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]"
+RDEPEND="
+	|| (
+		dev-python/twisted[${PYTHON_USEDEP}]
+		>=dev-python/twisted-core-13.2.0[${PYTHON_USEDEP}]
+	)
+	>=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]"
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
-		test? ( dev-python/nose[${PYTHON_USEDEP}] )
-		${DEPEND}"
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+	${DEPEND}"
 
 PATCHES=( "${FILESDIR}/epsilon_plugincache_portagesandbox.patch" )
 


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/epsilon/
@ 2017-03-28 19:07 Brian Dolbec
  0 siblings, 0 replies; 4+ messages in thread
From: Brian Dolbec @ 2017-03-28 19:07 UTC (permalink / raw
  To: gentoo-commits

commit:     3e6f6b63f4cb1a28974e007278ba3963443a32aa
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 18:44:55 2017 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 19:07:10 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e6f6b63

dev-python/epsilon: Update HOMEPAGE

Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30

 dev-python/epsilon/epsilon-0.7.0.ebuild | 4 ++--
 dev-python/epsilon/epsilon-0.7.1.ebuild | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-python/epsilon/epsilon-0.7.0.ebuild b/dev-python/epsilon/epsilon-0.7.0.ebuild
index efdfa10d021..0d7e44bcf2e 100644
--- a/dev-python/epsilon/epsilon-0.7.0.ebuild
+++ b/dev-python/epsilon/epsilon-0.7.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 )
 inherit twisted-r1 eutils
 
 DESCRIPTION="Epsilon is a Python utilities package, most famous for its Time class"
-HOMEPAGE="http://divmod.org/trac/wiki/DivmodEpsilon https://pypi.python.org/pypi/Epsilon"
+HOMEPAGE="https://github.com/twisted/epsilon https://pypi.python.org/pypi/Epsilon"
 SRC_URI="mirror://pypi/${TWISTED_PN:0:1}/${TWISTED_PN}/${TWISTED_P}.tar.gz"
 
 KEYWORDS="amd64 ppc ppc64 sparc x86"

diff --git a/dev-python/epsilon/epsilon-0.7.1.ebuild b/dev-python/epsilon/epsilon-0.7.1.ebuild
index f0fb386ce8b..f52a5827fc0 100644
--- a/dev-python/epsilon/epsilon-0.7.1.ebuild
+++ b/dev-python/epsilon/epsilon-0.7.1.ebuild
@@ -7,7 +7,7 @@ PYTHON_COMPAT=( python2_7 )
 inherit twisted-r1
 
 DESCRIPTION="Epsilon is a Python utilities package, most famous for its Time class"
-HOMEPAGE="http://divmod.org/trac/wiki/DivmodEpsilon https://pypi.python.org/pypi/Epsilon"
+HOMEPAGE="https://github.com/twisted/epsilon https://pypi.python.org/pypi/Epsilon"
 SRC_URI="mirror://pypi/${TWISTED_PN:0:1}/${TWISTED_PN}/${TWISTED_P}.tar.gz"
 
 KEYWORDS="~amd64 ~ppc ~ppc64 ~sparc ~x86"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2017-03-28 19:07 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-03-28 18:28 [gentoo-commits] repo/gentoo:master commit in: dev-python/epsilon/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2017-03-28 19:07 Brian Dolbec
2016-03-02 22:55 Patrice Clement
2016-02-18 18:14 Patrick Lauer

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox